<Query Kind="Program">
  <Namespace>System.Threading.Tasks</Namespace>
  <Namespace>System.Net</Namespace>
</Query>

async Task<string> DownloadPage (string page)
{
	return await new WebClient().DownloadStringTaskAsync (page);
}

#region Better

Task<string> DownloadPage2 (string page)
{
	return new WebClient().DownloadStringTaskAsync (page);
}

#endregion
#region Better

Task<string> DownloadPage3 (string page) => new WebClient().DownloadStringTaskAsync (page);

#endregion