<Query Kind="Program">
  <Namespace>System.Threading.Tasks</Namespace>
</Query>

async Task Main()
{
	await RunFiveTimesAsync();
	"Done".Dump();
}

async Task RunFiveTimesAsync()
{
	var tasks = Enumerable.Range (0, 5).Select (x => GetAnswerToLifeAsync());
	int[] combined = await Task.WhenAll (tasks);
	combined.Dump();
}

async Task<int> GetAnswerToLifeAsync()
{
	await Task.Delay (1000);
	return 42;
}