<Query Kind="Program">
  <Namespace>System.Threading.Tasks</Namespace>
</Query>

static string GetContent (Uri uri) => "slow";

#region Cache

static Dictionary<Uri, string> _cache = new Dictionary<Uri, string>();

static string GetCachedContent (Uri uri)
{
	string result;
	lock (_cache)
	{
		if (_cache.TryGetValue (uri, out result)) return result;
		return _cache [uri] = GetContent (uri);
	}
}

#endregion