<Query Kind="Program">
  <Namespace>System.Threading.Tasks</Namespace>
</Query>

async Task Main()
{
	await RunFiveTimesAsync();    // Await the asynchronous function
	"Done".Dump();
}

async Task RunFiveTimesAsync()
{
	for (int i = 0; i < 5; i++)
		(await GetAnswerToLifeAsync()).Dump();   // Await the asynchronous function
}

async Task<int> GetAnswerToLifeAsync()
{
	await Task.Delay (1000);
	return 42;
}