<Query Kind="Program">
  <Namespace>System.Threading.Tasks</Namespace>
</Query>

async Task Main()
{
	var cts = new CancellationTokenSource (2500);
	await RunFiveTimesAsync (cts.Token);
	"Done".Dump();
}

async Task RunFiveTimesAsync (CancellationToken cancelToken)
{
	for (int i = 0; i < 5; i++)
		(await GetAnswerToLifeAsync (cancelToken)).Dump();
}

async Task<int> GetAnswerToLifeAsync (CancellationToken cancelToken)
{
	await Task.Delay (1000, cancelToken);
	return 42;
}