<Query Kind="Program">
  <Namespace>System.Threading.Tasks</Namespace>
</Query>

void Main()
{
	Console.WriteLine (Add (2, 2));
	Console.WriteLine (AddAsync (GetFutureInt(2), GetFutureInt (2)));
}

int Add (int x, int y) => x + y;

async Task<int> AddAsync (Task<int> x, Task<int> y) => await x + await y;

#region GetFutureInt
async Task<int> GetFutureInt (int value)
{
	await Task.Delay (2000);
	return value;
}
#endregion