<Query Kind="Program">
  <Namespace>System.Threading.Tasks</Namespace>
</Query>

async Task Main()
{
	await RunFiveTimesAsync();
	"Done".Dump();
}

async Task RunFiveTimesAsync()
{
	var task1 = GetAnswerToLifeAsync();
	var task2 = GetAnswerToLifeAsync();
	var task3 = GetAnswerToLifeAsync();
	var task4 = GetAnswerToLifeAsync();
	var task5 = GetAnswerToLifeAsync();

	int[] combined = await Task.WhenAll (task1, task2, task3, task4, task5);

	combined.Dump();
}

async Task<int> GetAnswerToLifeAsync()
{
	await Task.Delay (1000);
	return 42;
}